Community
Showing results for 
Search instead for 
Do you mean 
Reply

Upgraded to 2011 - OLEDB Provider Broken?

Highlighted
New Member
Posts: 8
Country: USA

Upgraded to 2011 - OLEDB Provider Broken?

[ Edited ]

My company upgraded to ACT! 2011.  The person who performed the upgrade encountered a lot of problems.  At this point I don't know the nature of the problems, but everything is currently up and running reasonbly well I've been told.  My problem is that when I try to open an OLEDB connection in my .NET application I get the following error:

 

Cannot CoCreateInstance(CLSID_IOleDBSecurityImp)

 

I have performed the OLEDB rebuilds in act diagnostics which did not solve the problem.

 

Can anyone help me with this?  Thanks.

Highlighted
Employee
Posts: 1,163
Country: USA

Re: Upgraded to 2011 - OLEDB Provider Broken?

This KB is dated (2007) but the error message is the same so it might worth trying.

Matthew Wood
Act! SDK Support
Community Moderator
Highlighted
New Member
Posts: 8
Country: USA

Re: Upgraded to 2011 - OLEDB Provider Broken?

REGASM worked... I tried it a few days ago and I couldn't get the dll to register, but tried it again today and got it to work.  I must have typed in the command wrong before when I couldn't get it to register.  It's good to go now.  Thanks!